<template>
    <div class="gun-ui">
        <img
            
            :src="`./assets/bullet1.png`"
            class="my_img"
        />
        <div class="progress-circular">
            <svg 
                xmlns="http://www.w3.org/2000/svg"
                viewBox="22 22 46 46"
                style="transform: rotate(90deg);"
            >
                <circle
                    fill="transparent"
                    cx="45"
                    cy="45"
                    r="20"
                    stroke-width="6"
                    stroke-dasharray="125"
                    stroke-dashoffset="0"
                    style="stroke: rgba(0, 0, 0, 0.1);"
                ></circle>
                <circle
                    fill="transparent"
                    cx="45"
                    cy="45"
                    r="20"
                    stroke-width="6"
                    stroke-dasharray="125"
                    :stroke-dashoffset="value"
                    style="stroke: currentColor;"
                ></circle>
            </svg>
        </div>
        <!-- <v-progress-circular
            v-if="$store.state.game.timer_cd_gun>0"
            :rotate="90"
            :size="46"
            :width="6"
            :value="value"
            color="white"
        >
            {{ time }}
        </v-progress-circular> -->
    </div>
</template>

<script>

export default {
    // components: {
    // },
    mounted(){
        // setInterval(()=>{
        //     this.p++;
        //     let t_p = 125*this.p/100;
        //     this.value = 125-t_p;
        //     console.log(this.value);
        // },16);
        //console.log('должен вставить игру!!!!');
    },
    beforeDestroy(){
       
    },
    data: () => ({
        // p:0,
        // value:0
    }),
    computed:{
        // time(){
        //     return this.$store.getters['game/getTimerCdGun'];
        //     //return this.$store.state.game.timer_cd_gun;
        // },
        value(){return this.$store.getters['game/getPercentCdGun']}
    },
    watch:{
        
    },
    methods:{
        
    }
};
</script>

<style scoped>
    .gun-ui{
        max-width: 46px;
        max-height: 46px;
        position: absolute;
        top:550px;
        left:20px;
    }
    .v-progress-circular{
        position: absolute;
    }
    .progress-circular{
        position: absolute;
        height: 48px;
        width: 48px;
        color: #df8282 !important;
        caret-color: #03a9f4 !important;

    }
    .my_img{
        max-width: 34px;
        max-height: 34px;
        position: absolute;
        top:6.5px;
        left:6.5px;
    }

</style>